Skip to content

List all tools for a virtual MCP server

Request

OAuth 2.0 scope:
  • okta.resourceServers.virtualMcpServers.read
Admin roles:
  • SUPER_ADMIN

Lists all tools for a virtual MCP server. Supports ?expand=inputSchema to embed the tool's input schema inline.

Path
virtualMcpServerIdstringrequired

ID of a virtual MCP

Example:wlp1aB2cD3eF4gH5iJ6k
Query
afterstring

The cursor to use for pagination. It is an opaque string that specifies your current location in the list and is obtained from the Link response header. See Pagination and Link header.

limitinteger, [ 1 .. 200 ]

A limit on the number of objects to return

Default:20
expandstring

Optional expand parameter. Use inputSchema to embed the tool's input schema inline using the _embedded property.

Value:"inputSchema"
GET
/resource-servers/api/v1/virtual-mcp-servers/{virtualMcpServerId}/tools
curl -i -X GET \
  'https://subdomain.okta.com/resource-servers/api/v1/virtual-mcp-servers/wlp1aB2cD3eF4gH5iJ6k/tools?after=string&limit=20&expand=inputSchema'

Responses

OK

Headers
Bodyapplication/json
dataArray of objects(VirtualMCPSelectedTool)required
Response
{ "data": [ {}, {} ], "_links": { "self": {}, "next": {}, "parent": {} } }